import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)
    
    list.append( ("Pneumenace", "Poker", { 'topspeed': 12.0, 'throttle': 110, 'turn':80, 'turnspeed':1.5, 'weapons': (13,) }) )
    list.append( ("PIN", "Whipper", { 'invertible': True, 'turnspeed':1.5, 'turn':80, 'topspeed':12.0, 'throttle': 110, 'weapons':(14,) }) )
    list.append( ("Tokin' It", "Flipper", { 'topspeed' : 9, 'throttle' : 115, 'turn':80, 'weapons': (16,) }) )
    list.append( ("LAN Mower", "Spinner", { 'topspeed' : 12.0, 'throttle' : 115, 'turnspeed': 2.0, 'weapons': (16, 17 ) }) )
    list.append( ("Final Verdict", "Chopper", { 'radius':1.4, 'topspeed' : 9.0, 'throttle': 110, 'turnspeed': 1.0, 'weapons': (13,) }) )
    list.append( ("Tilt A Whirl", "Spinner", { 'topspeed' : 10.0, 'throttle' : 110.0, 'weapons': (8, 9, 10) }) )
    list.append( ("Mega Force 2", "Pusher", { 'radius': 1.4, 'topspeed':4.0, 'turnspeed' : 3.5 }) )
    list.append( ("Cheap Shot", "Spinner", { 'invertible': True, 'radius':1.2, 'turnspeed' : 1.15, 'topspeed' : 12, 'throttle' : 120, 'weapons': (6,) }) )
    list.append( ("4000 Rads", "Chopper", { 'invertible': True, 'topspeed' : 12.0 , 'turnspeed' : 1.5 , 'throttle' : 120, 'weapons': (15, 10) }) )
    list.append( ("5 Gallon Bucket", "Rammer", { 'topspeed' : 8.0, 'turnspeed' : 1.75 }) )
    list.append( ("Big Box Bot", "Rammer", { 'invertible': True, 'turnspeed' : 1.75 }) )
    list.append( ("Monkey Wrench", "Spinner", { 'topspeed': 12.0, 'turnspeed': 2.0, 'throttle': 110, 'weapons': (21, 22, 23, 24) }) )
    list.append( ("Underdawg", "Pusher", { 'turnspeed' : 2.0 }) )
    list.append( ("Tryke", "Chopper", { 'topspeed' : 10.0, 'weapons': (7,) }) )
    list.append( ("Satan's Forklift", "Flipper", { 'invertible': True, 'turnspeed' : 0.8, 'topspeed' : 12, 'weapons': (13, 14) }) )
    list.append( ("Cheese", "Pusher", { 'invertible': True, 'radius' : 1.3, 'turn' : 5 }) )
    #list.append( ("EMERGENCY", "Flipper", { 'radius':1.2, 'nose': math.pi, 'car': True, 'topspeed': 12.0, 'turn': 20, 'weapons': (11,) }) )
    list.append( ("M1A1", "Flipper", { 'radius':1.5, 'topspeed': 12.0, 'turn': 20, 'weapons': (29, 30) }) )
    list.append( ("Stomper", "Rammer", { 'invertible': True, 'turnspeed' : 1.5, 'topspeed' : 12.0 }) )
    list.append( ("Ghetto Blaster", "Chopper", { 'radius':1.1, 'topspeed' : 12.0 , 'turnspeed' : 2.0 , 'throttle' : 120, 'weapons': (8,) }) )
    list.append( ("Get High", "Flipper", { 'topspeed' : 12, 'throttle' : 120, 'weapons': (10,) }) )
    list.append( ("The Truth", "Chopper", { 'radius':1.4, 'topspeed' : 12.0, 'turnspeed': 1.0, 'weapons': (8,) }) )
    list.append( ("Overwhelming Force", "Flipper", { 'topspeed' : 12.0, 'weapons': (15, 16) }) )
    list.append( ("Predator", "Chopper", { 'invertible': True, 'radius':1.2, 'topspeed' : 12 , 'throttle' : 110, 'turnspeed': 1.0, 'weapons': (13, 16) }) )
    list.append( ("Wire Cutter", "Chopper", { 'invertible': True, 'topspeed' : 12.0 , 'turnspeed' : 1.25 , 'throttle' : 130, 'weapons': (11,) }) )
    list.append( ("RC Car", "Rammer", { 'turnspeed': 1.5 }) )
    #list.append( ("Little Metal Friend", "LittleMetalFriend", {}) )
    list.append( ("Bomb", "Whipper", { 'turnspeed' : 1.0, 'topspeed' : 12.0, 'weapons': (8, 12, 14, 15) }) )
    list.append( ("Traffic Jam", "Rammer", { 'radius':1.2, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 120 }) )
    list.append( ("Fire Burst", "Rammer", { 'invertible': True, 'topspeed' : 12.0, 'throttle' : 120 }) )
    list.append( ("Pit Viper", "Chopper", { 'topspeed' : 12.0 , 'turnspeed' : 1.75 , 'throttle' : 120, 'weapons': (12, 14) }) )
    list.append( ("Chop Shop", "Chopper", { 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, 'weapons' : (10,) }) )
    list.append( ("Face Scruncher", "Spinner", { 'invertible': True, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (7, 8) }) )
    list.append( ("Pressure", "Chopper", { 'radius': 1.3, 'topspeed' : 12 , 'throttle' : 110 , 'turnspeed' : 1.25, 'weapons': (14, 15) }) )
    list.append( ("Crap Bot 3000", "Rammer", { 'turnspeed' : 1.25 }) )
    list.append( ("Invertigo", "Spinner", { 'invertible': True, 'turnspeed' : 1.25, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (4, 1) }) )
    list.append( ("Circuit Breaker Mk III", "Spinner", { 'topspeed' : 12.0, 'throttle' : 110, 'turnspeed': 1.5, 'weapons': (25,) }) )
    list.append( ("It Came From The Moon", "Rammer", { 'turnspeed' : 1.0 }) )
    list.append( ("The Big 1", "Rammer", { 'radius': 1.5, 'invertible': True, 'turnspeed' : 1.0 }) )
    list.append( ("Thwacktar", "Whipper", { 'invertible': True, 'topspeed' : 12.0, 'throttle' : 110, 'turnspeed' : 1.5, 'weapons': (9, 10) }) )
    list.append( ("flipMODE", "Flipper", { 'invertible': True, 'topspeed' : 12.0, 'throttle' : 140, 'turnspeed': 2.0, 'weapons': (9,) }) )
    list.append( ("Detonator", "Flipper", { 'radius':1.4, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (11, 12) }) )
    list.append( ("Garden Dragon", "Pusher", { 'radius':1.5, 'turnspeed' : 1.5 }) )
    list.append( ("Deceptitron", "Poker", { 'invertible': True, 'radius':1.1, 'turnspeed' : 1.0, 'turn' : 20.0, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (9,) }) )
    list.append( ("Bomb Disposal Unit 32", "Poker", { 'invertible': True, 'topspeed' : 12.0, 'throttle' : 125, 'turnspeed' : 1.5, 'weapons': (15,) }) )
    list.append( ("The Chaos Engine 2", "Spinner", { 'invertible': True, 'radius':1.2, 'topspeed' : 12.0, 'throttle': 120, 'turnspeed' : 1.75, 'weapons': (16, 17, 19, 23) }) )
    list.append( ("Ultra Bong", "Poker", { 'invertible': True, 'radius':1.2, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (18, 19) }) )
    list.append( ("Saturday Night Slammer", "Flipper", { 'weapons': (14,) }) )
    list.append( ("Firewall", "Rammer", { 'invertible': True, 'topspeed': 120.0, 'throttle': 110, 'weapons': (21, 22, 23, 24, 1, 2) }) )
    list.append( ("The Munchies", "Pusher", { 'radius':1.5, }) )
    list.append( ("Bit Rot", "Rammer", { 'invertible': True, 'topspeed': 400.0, 'throttle': 150, 'weapons': (21, 22) }) )
    list.append( ("Lemon-Lime", "Poker", { 'radius':1.4, 'weapons': (9,) }) )
    list.append( ("Prize Grab Machine", "Chopper", { 'radius':1.4, 'weapons': (9, 10, 11) }) )
    list.append( ("Spikey", "Poker", { 'topspeed' : 14.0, 'throttle' : 150, 'turnspeed': 2.0, 'weapons': (1, 2, 3) }) )
    list.append( ("Item", "Spinner", { 'topspeed': 200.0, 'turnspeed': 150.0, 'throttle': 200, 'weapons': (21, 22) }) )
    list.append( ("Cement Mixer", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Thumperizer III", "Chopper", { 'weapons': (21, 22, 23, 24) }) )
    #list.append( ("War Flipper", "Flipper", { 'radius':1.2, 'nose': math.pi, 'weapons': (11,) }) )
    list.append( ("Tank", "Rammer", { 'nose' : math.pi, 'throttle' : 50, 'topspeed' : 10.0, 'turnspeed' : 0.2, 'turn':50 }) )
    #list.append( ("The craine", "Chopper", { 'weapons' : (10, 12) }) )
    list.append( ("Harry The Potter", "Spinner", { 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("All Your Bot Are Belong To Us", "Rammer", { 'radius':1.4, }) )
    list.append( ("Stratosphere", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Fire Storm", "Pusher", { 'invertible': True, 'radius': 1.5, }) )
    list.append( ("Chewbot", "DirectionalSpinner", { 'topspeed': 12.0, 'throttle': 110, 'turn':80, 'turnspeed':1.8, 'weapons': (1, 2, 3 ) }) )
    list.append( ("M2A2", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Irrational Exuberance", "Spinner", { 'radius':1.4, 'weapons': (9, 1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12) }) )
    list.append( ("Diamondback", "Pusher", { }) )
    list.append( ("Bad Trip", "Spinner", { 'weapons': (21, ) }) )
    list.append( ("Mothership", "Spinner", { 'radius':1.4, 'weapons': (9, 11) }) )
    list.append( ("Loch", "Spinner", { 'weapons': (21, 22, 23, 3), 'invertible': True, }) )
    list.append( ("Snapping Turtle", "Flipper", { 'radius':1.4, 'weapons': (21, 22)}) )
    list.append( ("Claymore", "Rammer", { 'weapons': (9, 10) }) )
    list.append( ("No Escape", "Pusher", { 'turnspeed': 1.5, 'invertible': True }) )
    list.append( ("Mind Meld", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Rift Blade", "Spinner", { 'weapons': (21, 22, 23) }) )
    list.append( ("Spark", "Spinner", { 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("Snatcher", "Rammer", { 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("Padre Diablo", "Chopper", { 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, 'weapons' : (10,) }) )
    list.append( ("ShockWave", "Spinner", { 'topspeed': 120.0, 'throttle': 110, 'weapons': (21, 22) }) )
    list.append( ("Mini Klamp", "Chopper", { 'invertible': True, 'radius':1.4, 'weapons': (9,) }) )
    list.append( ("Twist N Shout", "Spinner", { 'radius':1.4, 'weapons': (9, 10) }) )
    list.append( ("Class Act", "Spinner", { 'weapons': (4, 1, 2, 3), 'invertible': True }) )
    list.append( ("HAX0R", "Rammer", { 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, }) )
    list.append( ("This Planet Sucks!", "Rammer", { 'topspeed': 190.0, 'turnspeed': 150.0, 'throttle': 110, 'weapons': (21, 22) }) )
    list.append( ("Aftermath", "Spinner", { 'topspeed': 120.0, 'turnspeed': 150.0, 'throttle': 150, 'weapons': (21, 22) }) )
    list.append( ("The... Probe", "Poker", { 'radius':1.4, 'topspeed' : 130.0, 'throttle' : 130, 'weapons': (9,) }) )
    list.append( ("Fang The Mantis", "Chopper", { 'radius':1.4, 'topspeed' : 12.0, 'turnspeed': 1.0, 'weapons': (8, 10) }) )
    list.append( ("Wooden Warrior IV", "Chopper", { 'invertible': True, 'radius':1.4, 'weapons': (9, 10, 11, 12) }) )
    list.append( ("Alpha Dragon", "Pusher", { 'radius':1.5, 'weapons': (29, 30) }) )
    list.append( ("Psygnos", "Spinner", { 'invertible': True, 'weapons': (21, 22, 1) }) )
    list.append( ("4 X 4", "Chopper", { 'nose': math.pi, 'invertible': True, 'radius':1.1, 'turnspeed' : 1.0, 'turn' : 20.0, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (9, 10) }) )
    list.append( ("Northern Fury", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Weed Cutter", "Chopper", { 'radius':1.1, 'throttle' : 120, 'weapons': (9,) }) )
    list.append( ("Psychic Spinner", "Spinner", { 'topspeed': 12.0, 'throttle': 110, 'turn':80, 'turnspeed':1.5, 'weapons': (13, 11) }) )
    list.append( ("Earthquake!!!", "Spinner", { 'turnspeed':1.5, 'turn':80, 'topspeed':12.0, 'throttle': 110, 'weapons':(14,) }) )
    list.append( ("Tha Master", "Flipper", { 'topspeed' : 9, 'throttle' : 115, 'turn':80, 'weapons': (16,) }) )
    list.append( ("Quick Attack", "Rammer", { 'invertible': True, 'topspeed' : 11.0, 'throttle' : 110, 'turnspeed': 1.0, 'weapons': (16, 17 ) }) )
    list.append( ("Dive Bomb", "Pusher", { 'invertible': True, 'radius':1.4, 'topspeed' : 9.0, 'throttle': 110, 'turnspeed': 1.0 }) )
    list.append( ("King Krabby", "Flipper", { 'topspeed' : 10.0, 'throttle' : 110.0, 'weapons': (8,) }) )
    list.append( ("Lightning Rod", "Chopper", { 'radius': 1.4, 'topspeed':4.0, 'turnspeed' : 3.5, 'weapons':(14,) }) )
    list.append( ("X L R 8", "Pusher", { 'invertible': True, 'radius':1.2, 'turnspeed' : 1.15, 'topspeed' : 12, 'throttle' : 120, 'weapons': (6,) }) )
    list.append( ("Atomic Generator", "Spinner", { 'invertible': True, 'topspeed' : 12.0 , 'turnspeed' : 1.5 , 'throttle' : 120, 'weapons': (15, 10, 12, 1) }) )
    list.append( ("Unit56", "Spinner", { 'topspeed' : 8.0, 'turnspeed' : 1.75, 'weapons':(14,), 'invertible': True }) )
    list.append( ("F.L.A.S.H.", "Rammer", { 'invertible': True, 'turnspeed' : 1.75, 'weapons':(14, 1, 2, 3) }) )
    list.append( ("p0werh0use tw0", "Flipper", { 'topspeed': 12.0, 'turnspeed': 2.0, 'throttle': 110, 'weapons': (21,) }) )
    list.append( ("Harpoon", "Poker", { 'invertible': True, 'turnspeed' : 2.0, 'weapons': (21,) }) )
    list.append( ("Watermill", "Spinner", { 'topspeed' : 10.0, 'weapons': (7, 1, 2, 3, 4, 5, 6, 8) }) )
    list.append( ("Turbine", "Spinner", { 'invertible': True, 'turnspeed' : 1.0, 'topspeed' : 12, 'weapons': (13, 14, 15, 16) }) )
    list.append( ("Sand Dune", "Pusher", { 'invertible': True, 'radius' : 1.3, 'turn' : 5 }) )
    list.append( ("Starfish", "Poker", { 'invertible': True, 'radius':1.5, 'topspeed': 12.0, 'turn': 20, 'weapons': (29, 30, 1) }) )
    list.append( ("Tidal Wave", "Flipper", { 'turnspeed' : 1.5, 'topspeed' : 12.0, 'weapons': (21,) }) )
    list.append( ("Laser Gates", "Rammer", { 'radius':1.1, 'topspeed' : 12.0 , 'turnspeed' : 2.0 , 'throttle' : 120, 'weapons': (8, 12) }) )
    list.append( ("Razor Burn", "Chopper", { 'topspeed' : 12, 'throttle' : 120, 'weapons': (10, 1) }) )
    list.append( ("Worm Hole", "Spinner", { 'radius':1.4, 'topspeed' : 12.0, 'turnspeed': 1.0, 'weapons': (8, 4, 1, 2), 'invertible': True }) )
    list.append( ("Decibal", "Spinner", { 'topspeed' : 12.0, 'weapons': (15,) }) )
    list.append( ("Stop", "Spinner", { 'invertible': True, 'radius':1.2, 'topspeed' : 12 , 'throttle' : 110, 'turnspeed': 1.0, 'weapons': (13,) }) )
    list.append( ("Facefull Of Steel", "Rammer", { 'invertible': True, 'topspeed' : 12.0 , 'turnspeed' : 1.25 , 'throttle' : 130, 'weapons': (11, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14) }) )
    list.append( ("Stretcher", "Rammer", { 'invertible': True, 'turnspeed': 1.5, 'weapons': (12, 1) }) )
    list.append( ("Quarter", "Chopper", { 'invertible': True, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'weapons': (8, 12, 14, 15) }) )
    list.append( ("The Rack", "Spinner", { 'radius':1.2, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 12, 'weapons': (12, 1, 2, 3, 4, 5) }) )
    list.append( ("Laceration", "Whipper", { 'invertible': True, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (12, 1, 2, 3) }) )
    list.append( ("Silence", "Flipper", { 'invertible': True, 'topspeed' : 12.0 , 'turnspeed' : 1.75 , 'throttle' : 120, 'weapons': (12,) }) )
    list.append( ("Sticks & Stones", "Spinner", { 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, 'weapons' : (10, 1, 2, 3, 4, 5) }) )
    list.append( ("Infernus", "Pusher", { 'invertible': True, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 120 }) )
    list.append( ("0115D8CF", "Pusher", { 'invertible': True, 'radius': 1.3, 'topspeed' : 12 , 'throttle' : 110 , 'turnspeed' : 1.25 }) )
    list.append( ("Chainsaw Charlie", "Spinner", { 'turnspeed' : 1.25, 'weapons' : (10, 1, 2, 3, 4, 5) }) )
    list.append( ("Stealth", "Chopper", { 'turnspeed' : 1.25, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (4, ) }) )
    list.append( ("Streamliner", "Flipper", { 'topspeed' : 12.0, 'throttle' : 110, 'turnspeed': 1.5, 'weapons': (25,) }) )
    list.append( ("Bumper", "Poker", { 'weapons': (25,), 'turnspeed' : 1.0 }) )
    list.append( ("Phase IV", "Pusher", { 'radius': 1.5, 'turnspeed' : 1.0 }) )
    list.append( ("Hate Factory", "Spinner", { 'topspeed' : 12.0, 'throttle' : 110, 'turnspeed' : 1.5, 'weapons': (9, 10, 1) }) )
    list.append( ("Stomperama III", "Chopper", { 'topspeed' : 12.0, 'throttle' : 140, 'turnspeed': 2.0, 'weapons': (9,) }) )
    list.append( ("Plink", "Poker", { 'invertible': True, 'radius':1.4, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (11,) }) )
    list.append( ("Fox Trot", "Spinner", { 'radius':1.5, 'turnspeed' : 1.5, 'weapons': (11, 1, 2, 3, 4, 5) }) )
    list.append( ("Centrifuge Of Pain", "Poker", { 'radius':1.1, 'turnspeed' : 1.0, 'turn' : 20.0, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (9, 1, 2, 3) }) )
    list.append( ("Dragon Spawn", "Spinner", { 'topspeed' : 12.0, 'throttle' : 125, 'turnspeed' : 1.5, 'weapons': (15,) }) )
    list.append( ("Telekinesis", "Poker", { 'radius':1.2, 'topspeed' : 12.0, 'throttle': 120, 'turnspeed' : 1.75, 'weapons': (16,) }) )
    list.append( ("The Dragoness", "Flipper", { 'invertible': True, 'radius':1.2, 'turnspeed' : 1.0, 'topspeed' : 12.0, 'throttle' : 110, 'weapons': (18,) }) )
    list.append( ("Veloci-Riptor", "Spinner", { 'invertible': True, 'weapons': (14,) }) )
    list.append( ("PinDragon", "Chopper", { 'topspeed': 120.0, 'throttle': 110, 'weapons': (21, 22) }) )
    list.append( ("V", "Spinner", { 'radius':1.5, 'weapons': (21, 22) }) )
    list.append( ("Quadrant", "Pusher", { 'topspeed': 400.0, 'throttle': 150 }) )
    list.append( ("CODE: RED", "Spinner", { 'radius':1.4, 'weapons': (9, 1, 2, 3) }) )
    list.append( ("Defcon 1", "Rammer", { 'radius':1.4, 'weapons': (9, 10, 11, 1, 2, 3, 4, 5) }) )
    list.append( ("Level 5", "Spinner", { 'topspeed' : 14.0, 'throttle' : 150, 'turnspeed': 2.0, 'weapons': (1, 2, 3, 4, 5, 6) }) )
    list.append( ("Turbulance", "Flipper", { 'topspeed': 200.0, 'turnspeed': 150.0, 'throttle': 200, 'weapons': (21,) }) )
    list.append( ("Striker II", "Chopper", { 'weapons': (21, 22) }) )
    list.append( ("OMG WTF SUSPENDED", "Whipper", { 'invertible': True, 'weapons': (21, 22, 23, 24) }) )
    list.append( ("!11!one!1eleven!", "Flipper", { 'throttle' : 50, 'topspeed' : 10.0, 'turnspeed' : 0.2, 'turn':50, 'weapons': (21, 22, 23, 24) }) )
    list.append( ("OMG WTF BANNED", "Pusher", { }) )
    list.append( ("1337", "Pusher", { 'invertible': True, 'radius':1.4, }) )
    list.append( ("Obvious ICED OUT Clone", "Flipper", { 'weapons': (21, 22) }) )
    list.append( ("7h3 d347h 5p1nn3r", "Spinner", { 'radius': 1.5, 'weapons': (9, 1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 12, 13) }) )
    list.append( ("Lurker", "Flipper", { 'invertible': True, 'topspeed': 12.0, 'throttle': 110, 'turn':80, 'turnspeed':1.8, 'weapons': (1, 2,) }) )
    list.append( ("Student Driver", "Rammer", { 'car': True, 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("Fully Articulated Plow", "Flipper", { 'car': True, 'invertible': True, 'radius':1.4, 'weapons': (9, 1,) }) )
    list.append( ("Any Time Is Good For Pizza!!", "Spinner", { 'invertible': True, 'weapons': (9, 1, 2, 3) }) )
    list.append( ("Drum Ba Dum Dum", "Spinner", { 'weapons': (21, 1, 2, 3, 4,) }) )
    list.append( ("Smack In The Box", "Spinner", { 'radius':1.4, 'weapons': (9, 11) }) )
    list.append( ("1K", "Spinner", { 'weapons': (21, 22,) }) )
    list.append( ("Octa-GONE", "Spinner", { 'radius':1.4, 'weapons': (21, 22, 1)}) )
    list.append( ("Big Red", "Spinner", { 'weapons': (9, 10, 1, 2, 3, 4, 5, 6) }) )
    list.append( ("Solar Flare", "Rammer", { 'turnspeed': 1.5, 'weapons': (9,), 'invertible': True }) )
    list.append( ("Short Phuse", "Spinner", { 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("F-7", "Spinner", { 'weapons': (21, 22, 23, 1) }) )
    list.append( ("17", "Pusher", { 'invertible': True, 'weapons': (21, 22) }) )
    list.append( ("ChemTox", "Spinner", { 'weapons': (21, 22) }) )
    list.append( ("Heavy Lobster", "Chopper", { 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, 'weapons' : (10, 11) }) )
    list.append( ("Fissure", "Flipper", { 'topspeed': 120.0, 'throttle': 110, 'weapons': (21, 22) }) )
    list.append( ("toXic", "Pusher", { 'radius':1.4, 'weapons': (9,) }) )
    list.append( ("Experiment X", "Spinner", { 'invertible': True, 'radius':1.4, 'weapons': (9, 10, 1, 2, 3, 4) }) )
    list.append( ("101", "Rammer", { 'weapons': (4, 1), 'invertible': True }) )
    list.append( ("Fork Truck", "Poker", { 'invertible': True, 'radius': 1.4, 'topspeed' : 7.0, 'throttle' : 110, 'weapons': (9,) }) )
    list.append( ("The Windcallers", "Spinner", { 'topspeed': 190.0, 'turnspeed': 150.0, 'throttle': 110, 'weapons': (21, 22, 1, 2) }) )
    list.append( ("Paradox Twilight", "Spinner", { 'nose': math.pi, 'topspeed': 120.0, 'turnspeed': 150.0, 'throttle': 150, 'weapons': (21, 22) }) )
    list.append( ("Shades Of Green", "Flipper", { 'radius':1.4, 'topspeed' : 130.0, 'throttle' : 130, 'weapons': (9,) }) )
    list.append( ("WHAT? WHERE?", "Chopper", { 'radius':1.4, 'topspeed' : 12.0, 'turnspeed': 1.0, 'weapons': (8, 10) }) )
    list.append( ("Keep BACK 500 Ft.", "Chopper", { 'radius':1.4, 'weapons': (9, ) }) )
    list.append( ("Digital Dragon 2", "Spinner", { 'invertible': True, 'radius':1.5, 'weapons': (29, 30, 1) }) )
    list.append( ("Tha Thumperizer", "Spinner", { 'invertible': True, 'weapons': (21, 22, 1, 2, 3, 4) }) )
    list.append( ("LaunchPad", "Flipper", { 'radius':1.1, 'turnspeed' : 1.0, 'turn' : 20.0, 'topspeed' : 12.0, 'throttle' : 120, 'weapons': (9, ) }) )
    list.append( ("404", "Spinner", { 'invertible': True, 'weapons': (21, 22, 1, 2) }) )
    list.append( ("Wooden Warrior", "Spinner", { 'radius':1.1, 'throttle' : 120, 'weapons': (9, 1) }) )